#
# spec file for package bluez-qt
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sonum   6
%define _libname KF5BluezQt
%define _tar_path 5.28
%define _UdevNotOwned 0%(rpm -qf %_libexecdir/udev | grep -q 'owned' && echo 1)
Name:           bluez-qt
Version:        5.28.0
Release:        0
Summary:        Async Bluez wrapper library
License:        LGPL-2.1+
Group:          System/GUI/KDE
Url:            https://projects.kde.org/attica
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
BuildRequires:  cmake(Qt5Core) >= 5.5.0
BuildRequires:  cmake(Qt5DBus) >= 5.5.0
BuildRequires:  cmake(Qt5Network) >= 5.5.0
BuildRequires:  cmake(Qt5Qml) >= 5.5.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Async Bluez wrapper library.

%package -n lib%{_libname}%{sonum}
Summary:        Async Bluez wrapper library - development files
Group:          System/GUI/KDE
# KUF only due to version number overlapping
Obsoletes:      lib%{_libname}5

%description -n lib%{_libname}%{sonum}
Async Bluez wrapper library.

%package imports
Summary:        Async Bluez wrapper library
Group:          System/GUI/KDE
Supplements:    packageand(lib%{_libname}%{sonum}:libQtQuick5)
%requires_ge libQtQuick5

%description imports
Async Bluez wrapper library.
QML imports.

%package udev
Summary:        bluez-qt integration with udev
Group:          System/Base

%description udev
Async Bluez wrapper library.
Udev rules.

%package devel
Summary:        Async Bluez wrapper library - development files
Group:          Development/Libraries/C and C++
Requires:       lib%{_libname}%{sonum} = %{version}
Requires:       cmake(Qt5Core) >= 5.5.0

%description devel
Development files for QBluez Async Bluez wrapper library.

%prep
%setup -q -n %{name}-%{version}

%build
  %cmake_kf5 -d build -- -DUDEV_RULES_INSTALL_DIR="%_libexecdir/udev"
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes -s %{buildroot}

%post -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%postun -n lib%{_libname}%{sonum} -p /sbin/ldconfig

%files -n lib%{_libname}%{sonum}
%defattr(-,root,root)
%doc README* COPYING.LIB
%{_libqt5_libdir}/lib%{_libname}*.so.*

%files imports
%defattr(-,root,root)
%doc README* COPYING.LIB
%{_kf5_qmldir}/

%files udev
%defattr(-,root,root)
%if 0%{?_UdevNotOwned}
%dir %{_libexecdir}/udev
%endif
%{_libexecdir}/udev/61-kde-bluetooth-rfkill.rules

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/cmake/%{_libname}/
%{_kf5_libdir}/lib%{_libname}*.so
%{_kf5_includedir}/
%{_kf5_mkspecsdir}/qt_BluezQt.pri

%changelog
